module Fundable

  def total_funds
    self.funding + pledges
  end

  def remove_funds
    self.funding -= 15
    puts "#{name} lost some funds!"
  end

  def add_funds
    self.funding += 25
    puts "#{name} got more funds!"
  end

  def total_funding_outstanding
    self.target - self.funding
  end

  def <=> (other_funding)
    other_funding.name <=> name
  end

  def fully_funded?
    total_funding_outstanding <= 0
  end

  def status
    fully_funded? ? "Fully_funded" : "Under_funded"
 end
end
