module CrowdFund
  Pledge = Struct.new(:name, :amount)

  module PledgePool
    PLEDGES = [
      Pledge.new(:silver, 75),
      Pledge.new(:gold, 100),
      Pledge.new(:bronze, 50),
    ]

    def self.random
      PLEDGES.sample
    end
  end

  if __FILE__ == $0
    puts Pledge::PLEDGES
    pledge = Pledge.random
    puts "A #{pledge.name} pledge is worth ($#{pledge.amount})."
  end
end 
