module CrowdFund
  module FundingRound
    def self.round_funds(project)
      die = Die.new
      number_rolled = die.roll

      if number_rolled.odd?
        project.remove_funds
      else
        project.add_funds
      end

      pledge = PledgePool.random
      project.found_pledge(pledge)
    end
  end
end 
